%define prerelease r77
%define relcand rc2
%define realname xmpphp
%define REALNAME XMPPHP

Name:           php-%{realname}
Version:        0.1
Release:        0.13.%{relcand}.%{prerelease}%{?dist}
Summary:        XMPPHP is the successor to Class.Jabber.PHP

Group:          Development/Libraries
License:        GPLv2+
URL:            http://code.google.com/p/xmpphp/
Source0:        http://xmpphp.googlecode.com/files/%{realname}-%{version}%{relcand}-%{prerelease}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       php-curl
Requires:       php-date
Requires:       php-dom
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-session
Requires:       php-simplexml
Requires:       php-spl
Requires:       php-xml
%{?fedora:Requires: php-ereg}


%description
XMPPHP is the successor to Class.Jabber.PHP which can connect to XMPP
1.0 server (google talk, jabber.orgf, LJ Talk, etc, supports TLS,
several XML processing approaches and supported styles, persistent
connection, etc.


%prep
%setup -qn %{realname}-%{version}%{relcand}-%{prerelease}


%build
# Empty build


%install
rm -rf %{buildroot}

# Tests
mkdir -p %{buildroot}%{_datadir}/tests/%{realname}/%{REALNAME}
install -p -m 644 tests/*.php             %{buildroot}%{_datadir}/tests/%{realname}/
install -p -m 644 tests/%{REALNAME}/*.php %{buildroot}%{_datadir}/tests/%{realname}/%{REALNAME}/

# Library
mkdir -p %{buildroot}%{_datadir}/php/%{realname}
install -p -m 644 %{REALNAME}/*.php %{buildroot}%{_datadir}/php/%{realname}/

# Examples (for doc)
mkdir examples
cp -p *.php examples


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE examples
%{_datadir}/php/%{realname}
%dir %{_datadir}/tests
%{_datadir}/tests/%{realname}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.13.rc2.r77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.12.rc2.r77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jan 30 2013 Remi Collet <remi@fedoraproject.org> - 0.1-0.11.rc2.r77
- fix dependencies
- move tests in /usr/share/tests (outside include_path)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.10.rc2_r77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.9.rc2_r77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.8.rc2_r77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> 0.1-0.7.rc2_r77
- Updated to 0.1rc2-r77

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.rc1_r70
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.rc1_r70
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan  8 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.1-0.4.rc1_r70
- Updated to 0.1rc1-r70

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.1-0.3.beta_r50
- Include unowned directories.

* Sat Aug 23 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.1-0.2.beta_r50
 - moved examples to doc

* Sat Aug 23 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.1-0.1.beta_r50
 - Updated to r50, fixed license tag

* Sun Jul 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.1-0.1.beta_r21
 - Initial package
